Questions tagged [pygdal]

Use this tag when referring to alternate version GDAL python bindings, pygdal

Filter by
Sorted by
Tagged with
5
votes
1answer
431 views

How to Add FileGDB driver to PyGDAL installation

I installed ArcGIS 10.0 and it installed Python 2.6.5 with it. Later, I installed pyGDAL using the windows installer within that Python installation. I cannot find a specific place where GDAL is ...
3
votes
1answer
1k views

Writing style information into geopackage with python and GDAL

I managed to generate geopackage with GDAL/OGR Python API using this example from the official website. However, there's no information on how to write style information into the geopackage file. Any ...
3
votes
1answer
285 views

Problem with precision when convert from WKT to shapefile

I have a problem with converting from WKT to shapefile in pygdal. In wkt I have fields with precision (for example real 7.2). When I create a shapefile I have field numeric with no precision (numeric ...
2
votes
1answer
391 views

Set or change the geometry type of an empty point shapefile using Python with GDAL/OGR

I'm automatically creating a point shapefile from a postgreSQL point table (having a geometry field called "geo" defined as geo geometry(Point,4258)) for a spesific flatenr (%%a) using ogr2ogr --...
1
vote
0answers
291 views

ERROR 6: EPSG PCS/GCS code 102027 not found in EPSG support files

I am trying to insert spatial data from GeoJSON to PostgreSQL database and before it I am to reproject geom from EPSG:4326 to EPSG:102027. When working on Windows there were no problems with CRS, but ...
0
votes
0answers
76 views

GDAL polygonize only particular values

I want to polygonize .tiff raster file for specific values. For example, using one method I firstly reclassified the raster by gdal_calc.py --calc="A*logical_and(A>0,A<1)" then used gdal....
0
votes
0answers
61 views

ERROR 1: gdal_translate was compiled against GDAL 2.0, but the current library version is 2.2

I have tried to uninstalled both version but failed. both version were installed from source. How can I remove both version or point to 2.0 version.
0
votes
1answer
765 views

Install legacy versions of GDAL with Homebrew

I have installed, on a MacOSX, GDAL2 from homebrew with: brew tap osgeo/osgeo4mac && brew tap --repair brew install gdal2 --with-complete And then the python binding: brew install gdal2-...